From 2e695368f86e770240a93b7c6d0c6294f0f71e30 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jun 07 2016 15:09:06 +0000
Subject: [PATCH 485/1001] Add checks for None in meetings widget


There is some meetings data that has None for meeting_information and
meeting_location. Add checks that make sure the widget can load.

---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index e8fede6..04e0868 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -41,7 +41,7 @@ def next_meeting(meetings):
         # their local with moment.js.
         meeting['start_time'] = meeting['meeting_time_start'][:-3] + " UTC"
         meeting['stop_time'] = meeting['meeting_time_stop'][:-3] + " UTC"
-        meeting['location'] = meeting['meeting_location']
+        meeting['location'] = meeting['meeting_location'] or ''
         if '@' in meeting['location']:
             meeting['location'] = '#' + meeting['location'].split('@')[0]
         if stop_dt - start_dt >= datetime.timedelta(hours=24) :
@@ -71,8 +71,9 @@ def data(session, widget, calendar):
 
     tmp = collections.defaultdict(list)
     for meeting in response['meetings']:
-        meeting['meeting_information_html'] = utils.markup(
-            meeting['meeting_information'])
+        if meeting.get('meeting_information_html'):
+            meeting['meeting_information_html'] = utils.markup(
+                meeting['meeting_information'])
         tmp[meeting['meeting_name']].append(meeting)
 
     meetings = {}
